Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_Collection_Factory Class Reference

TAO_Notify_Default_Collection_Factory. More...

`#include <Notify_Default_Collection_Factory.h>`

Inheritance diagram for TAO_Notify_Default_Collection_Factory:

[legend]
Collaboration diagram for TAO_Notify_Default_Collection_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_Collection_Factory (void)
| ~TAO_Notify_Default_Collection_Factory ()
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
virtual TAO_Notify_EventListener_List * | create_event_listener_list (ACE_ENV_SINGLE_ARG_DECL)
| Create the event listener list. More...
virtual TAO_Notify_UpdateListener_List * | create_update_listener_list (ACE_ENV_SINGLE_ARG_DECL)
| create update listener list. More...
## Static Public Methods
int | init_svc (void)
| Helper function to register the default factory into the service configurator. More...

## Detailed Description

TAO_Notify_Default_Collection_Factory.

Default factory for collections

## Constructor & Destructor Documentation

TAO_Notify_Default_Collection_Factory::TAO_Notify_Default_Collection_Factory | ( | void |  | ) |

TAO_Notify_Default_Collection_Factory::~TAO_Notify_Default_Collection_Factory | ( |  | ) |

## Member Function Documentation

TAO_Notify_EventListener_List * TAO_Notify_Default_Collection_Factory::create_event_listener_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Create the event listener list. Reimplemented from TAO_Notify_Collection_Factory.

TAO_Notify_UpdateListener_List * TAO_Notify_Default_Collection_Factory::create_update_listener_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| create update listener list. Reimplemented from TAO_Notify_Collection_Factory.

int TAO_Notify_Default_Collection_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_Collection_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_Collection_Factory::init_svc | ( | void |  | ) | `[static]`

| Helper function to register the default factory into the service configurator.

The documentation for this class was generated from the following files:

- Notify_Default_Collection_Factory.h
- Notify_Default_Collection_Factory.cpp